package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * WlanGroupOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class WlanGroupOpenApiVo   {
  @JsonProperty("wlanId")
  private String wlanId;

  @JsonProperty("name")
  private String name;

  @JsonProperty("primary")
  private Boolean primary;

  public WlanGroupOpenApiVo wlanId(String wlanId) {
    this.wlanId = wlanId;
    return this;
  }

  /**
   * WLAN group ID
   * @return wlanId
  */
  @ApiModelProperty(value = "WLAN group ID")


  public String getWlanId() {
    return wlanId;
  }

  public void setWlanId(String wlanId) {
    this.wlanId = wlanId;
  }

  public WlanGroupOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * WLAN group name should contain 1 to 128 characters.
   * @return name
  */
  @ApiModelProperty(value = "WLAN group name should contain 1 to 128 characters.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public WlanGroupOpenApiVo primary(Boolean primary) {
    this.primary = primary;
    return this;
  }

  /**
   * Whether it is the default WLAN group
   * @return primary
  */
  @ApiModelProperty(value = "Whether it is the default WLAN group")


  public Boolean getPrimary() {
    return primary;
  }

  public void setPrimary(Boolean primary) {
    this.primary = primary;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WlanGroupOpenApiVo wlanGroupOpenApiVo = (WlanGroupOpenApiVo) o;
    return Objects.equals(this.wlanId, wlanGroupOpenApiVo.wlanId) &&
        Objects.equals(this.name, wlanGroupOpenApiVo.name) &&
        Objects.equals(this.primary, wlanGroupOpenApiVo.primary);
  }

  @Override
  public int hashCode() {
    return Objects.hash(wlanId, name, primary);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WlanGroupOpenApiVo {\n");
    
    sb.append("    wlanId: ").append(toIndentedString(wlanId)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    primary: ").append(toIndentedString(primary)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

